Skip to main content
All the variations (SKUs) of a product must be sent together in the same request, even if only one SKU is being updated. SKUs not included in the request will be considered DELETED from the product and will be removed the connected sales channels.
curl -X POST 'https://product.api.e-cross.tech/ext/merchant/skus' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "skuId": "1234567890",
      "productId": "1234567",
      "main": true,
      "name": "USB charger type C",
      "description": "Beautiful and reliable super fast USB Type C charger.\nCharge your phone as never before!",
      "weight": 0.100,
      "height": 4,
      "width": 4,
      "length": 19,
      "ean": "0799439112766",
      "hscode": "850440",
      "localizedListPriceWithTaxes": 9.99,
      "localizedSalePriceWithTaxes": 8.00,
      "globalSaleChannelData": {
        "active": true,
        "brand": "ChargerW",
        "size": "2 meters",
        "color": "silver",
        "category": "Telefones e Celulares/Acessórios/Carregadores",
        "attributes": [
          {
            "name": "Connection Type",
            "value": "USB-C"
          }
        ]
      },
      "images": [
        "https://image-host/1234567/1.jpeg",
        "https://image-host/1234567/2.jpeg"
      ]
    }
  ]'
[
  {
    "skuId": "1234567890",
    "productId": "1234567",
    "main": true,
    "name": "USB charger type C",
    "description": "Beautiful and reliable super fast USB Type C charger.\nCharge your phone as never before!",
    "weight": 0.1,
    "height": 4,
    "width": 4,
    "length": 19,
    "ean": "0799439112766",
    "hscode": "850440",
    "globalSaleChannelData": {
      "active": true,
      "brand": "ChargerW",
      "size": "2 meters",
      "color": "silver",
      "category": "Telefones e Celulares/Acessórios/Carregadores",
      "attributes": [
        {
          "name": "Connection Type",
          "value": "USB-C"
        }
      ]
    },
    "images": [
      "https://image-host/1234567/1.jpeg",
      "https://image-host/1234567/2.jpeg"
    ],
    "salesChannelStatus": {},
    "localizationStatus": "PENDING_LOCALIZATION"
  }
]

Request Body Parameters

skuId
string
required
The SKU identifier provided by the merchant. Must be unique within your catalog.
productId
string
required
The product identifier that groups all SKUs together. All SKUs with the same productId must be sent in the same request.
main
boolean
required
Indicates if this SKU is the main variation among all SKUs of the product. The main SKU is generally used by sales channels to display product information in product listing pages.
name
string
required
The title of the SKU in the original language.
description
string
required
The description of the SKU in the original language.
It’s recommended to have the same description for all SKUs of the same product due to limitations on sales channels.
weight
number
required
The weight of the SKU in kilograms.
height
integer
required
The height of the SKU in centimeters.
width
integer
required
The width of the SKU in centimeters.
length
integer
required
The length of the SKU in centimeters.
ean
string
required
EAN-13, UPS, ISBN, etc.
hscode
string
required
HS Code of the SKU, used for customs and import/export purposes. If you are in doubt about the HS Code please check it on World Customs Organization Trade Tools.
localizedListPriceWithTaxes
number
deprecated
This field is deprecated and will be removed in the future. Use the Update Price (Origin) API or Update Price (Destination) API to update the price instead.
List price of the SKU, in the merchant currency. This is the “origin list price” that will be used as the basis price for the localization process.
localizedSalePriceWithTaxes
number
deprecated
This field is deprecated and will be removed in the future. Use the Update Price (Origin) API or Update Price (Destination) API to update the price instead.
Sale price of the SKU, in the merchant currency. This is the “origin sale price” that will be used as the basis price for the localization process.
globalSaleChannelData
object
required
Sales channel data used to map SKU data to all connected sales channels.
images
array
required
Array containing URLs for the images of the SKU. Images should be publicly accessible.

Response Fields

All the fields from the request body are returned in the response, plus the following fields:
id
string
The unique identifier of the SKU within e-CROSS.
merchantId
string
The unique identifier of the merchant in e-CROSS.
localizationStatus
string
Status of the localization process. Can be one of:
  • PENDING_LOCALIZATION: The SKU is queued for localization processing (default status for newly created SKUs)
  • REVIEW_DENIED: The localization review was denied due to incomplete or incorrect data (title, description, color, size,..)
  • DENIED_REGULATORY: The SKU was denied due to regulatory compliance issues
  • READY_FOR_SALES_CHANNEL: Localization is complete and the SKU is ready to be published to sales channels
  • LOCALIZATION_SKIPPED: Localization was skipped (when automatic localization is disabled)
Besides the status above, if any other status is returned it should be threated as the localization process is still in progress.
salesChannelStatus
object
A complex object (Record) where the key is the sales channel identifier within e-CROSS and the value contains the specific sales channel integration status.